/**
 * @(#)BlackHoleVector.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * RIDUAL : ScanProperty
 * @author  Intelligent Technology Inc.
 * @version 1.00 2002/09/02
 */
package jp.co.nri.rid.web;

/* JAVA */
import	java.util.*;

/**
 * 登録したデータをすべて捨ててしまうVector。
 */
public class BlackHoleVector extends Vector{
	public void add(int index, Object element){}
	public boolean add(Object o){ return true; }
	public boolean addAll(Collection c){ return true; }
	public boolean addAll(int index ,Collection c){ return true; }
	public void addElement(Object obj){}
	public void insertElementAt(Object obj ,int index){}
}
